// Imaging.h


#include "Structs.h"

// -------------------------------------------------------------------

void IMDraw						(DocumentReference document);
void IMDelete					(DocumentReference document, ElementReference element);

void ResizeElementData			(DocumentReference document, ElementReference element, Rect newBounds);

void ResizeOpenEndedObject		(DocumentReference document, ElementReference element, Rect newBounds);
void ResizeClosedObject			(DocumentReference document, ElementReference element, Rect newBounds);
void ResizePolygon				(DocumentReference document, ElementReference element, Rect newBounds);
void ResizeGroup				(DocumentReference document, ElementReference element, Rect newBounds);

// -----------------------------------------------------------------------------------------

void MoveElementData			(DocumentReference document, ElementReference element, short newTop, short newLeft);
void OffsetElementData			(DocumentReference document, ElementReference element, short deltaH, short deltaV);

// -----------------------------------------------------------------------------------------

