//--------------------------------------------------------------------------------------------------																			
// BalloonHelp.r
// ETO20 MacApp 3.3.1, MPW 3.4.1
// Copyright  1996 by Conrad Kopala
// Twist Down Lists version 2.0a0 7/15/96
//--------------------------------------------------------------------------------------------------

#ifndef __TWISTDOWNGLOBALS__
#include "TwistDownGlobals.r"
#endif

#include $$Shell("MALibraries") "HelpStrings.r";

include "Defaults.rsrc" 'hmnu' (mEdit);		// Grab the default Edit menu balloon help

resource 'STR#' (kTDLMenuHelpStrings,
#if qNames
"TDLMenuHelpStrings",
#endif
purgeable) {
	{
// [1]
		"No help yet for this  item",
// [2]	New, Grayed
		"Opens a new "TARGET_APPLICATION_NAME" document called untitled. Not ava"
		"ilable because we don't do new documents.",
// [3]	Open, Normal 
		"Opens a disk directory.",	
// [4]	Open, Grayed
		"Opens a disk directory. Not available becau"
			"se there is not enough memory.",

	}
};

resource 'hmnu' (mFile,
#if qNames
"File Menu Help",
#endif
purgeable) {
	HelpMgrVersion,
	hmDefaultOptions,
	0,
	0,
	HMSkipItem { },
	{

		HMStringResItem {				// File 
			kStandardHelpStrings,32,
			kStandardHelpStrings,33,
			-1,0,
			-1,0
		},
		HMStringResItem {				// New 
			kTDLMenuHelpStrings,2,
			kTDLMenuHelpStrings,2,
			-1,0,
			-1,0
		},
		HMStringResItem {				// Open 
			kTDLMenuHelpStrings,3,
			kTDLMenuHelpStrings,4,
			-1,0,
			-1,0
		},
		HMSkipItem { },					// --------
		HMStringResItem {				// Close 
			kStandardHelpStrings,38,
			kStandardHelpStrings,39,
			-1,0,
			-1,0
		},
		HMStringResItem {				// Save 
			kStandardHelpStrings,40,
			kStandardHelpStrings,41,
			-1,0,
			-1,0
		},
		HMStringResItem {				// Save As 
			kStandardHelpStrings,42,
			kStandardHelpStrings,43,
			-1,0,
			-1,0
		},
		HMStringResItem {				// Revert 
			kStandardHelpStrings,52,
			kStandardHelpStrings,53,
			-1,0,
			-1,0
		},
		HMSkipItem { },					// --------
		HMStringResItem {				// Page Setup 
			kStandardHelpStrings,44,
			kStandardHelpStrings,45,
			-1,0,
			-1,0
		},
		HMStringResItem {				// Print One 
			kStandardHelpStrings,50,
			kStandardHelpStrings,51,
			-1,0,
			-1,0
		},
		HMStringResItem {				// Print 
			kStandardHelpStrings,46,
			kStandardHelpStrings,47,
			-1,0,
			-1,0
		},
		HMSkipItem { },					// --------
		HMStringResItem {				// Quit 
			kStandardHelpStrings,48,
			kStandardHelpStrings,49,
			-1,0,
			-1,0
		}
	}
};

resource 'STR#' (kFormatMenuHelpStrings,
#if qNames
"FormatMenuHelpStrings",
#endif
purgeable) {
	{
// [1]	Format Menu, Normal
		"Format menu\$0D\$0DUse this menu to change the font, font size, or writing direction.",
// [2]	Format Menu, grayed
		"Format menu\$0D\$0DUse this menu to change the font, font size, or writing direction.",

// [3]	Font, Normal 
		"Font menu\$0D\$0DUse this to change the font",	
// [4]	Font, Grayed
		"Font menu\$0D\$0DUse this to change the font.",

	}
};

resource 'STR#' (kWritingDirectionHelpStrings,
#if qNames
"WritingDirectionHelpStrings",
#endif
purgeable) {
	{
// [1]	Use System Direction, Normal 
		"Use this to set the writing direction to the system direction.",	
// [2]	Use System Direction, Grayed -never used because this item is always enabled.
		"Use System Direction"
			"If you see this message, call the developer.",
// [3]	Use System Direction, Checked
		"Use this to stop using the system direction and set it using the following command.",

// [4]	Left to right or right-to-left toggled command, Normal 
		"Use this to set the writing direction to left-to-right or right-to-left.",	
// [5]	Left-to-right or right-to-left toggled commandt, Grayed
		"Left-to-right or right-to-left. Not available because the system direction is being used or a document isn't open.",

	}
};

resource 'STR#' (kSizeMenuHelpStrings,
#if qNames
"SizeMenuHelpStrings",
#endif
purgeable) {
	{
// [1]	9 point, Normal 
		"Changes font to 9 point.",	
// [2]	9 point, Grayed
		"Changes font to 9 point. Not available becau"
			"se there is no open window.",
// [3]	9 point, Checked
		"9 point font is the current font size.",
		
// [4]	10 point, Normal 
		"Changes font to 10 point.",	
// [5]	10 point, Grayed
		"Changes font to 10 point. Not available becau"
			"se there is no open window.",
// [6]	10 point, Checked
		"10 point font is the current font size.", 

// [7]	12 point, Normal 
		"Changes font to 12 point.",	
// [8]	12 point, Grayed
		"Changes font to 12 point. Not available becau"
			"se there is no open window.",
// [9]	12 point, Checked
		"12 point font is the current font size.", 
		
// [10]	14 point, Normal 
		"Changes font to 14 point.",	
// [11]	14 point, Grayed
		"Changes font to 14 point. Not available becau"
			"se there is no open window.",
// [12]	14 point, Checked
		"14 point font is the current font size.", 
		
// [13]	18 point, Normal 
		"Changes font to 18 point.",	
// [14]	18 point, Grayed
		"Changes font to 18 point. Not available becau"
			"se there is no open window.",
// [15]	18 point, Checked
		"18 point font is the current font size.", 
		
// [16]	24 point, Normal 
		"Changes font to 24 point.",	
// [17]	24 point, Grayed
		"Changes font to 24 point. Not available becau"
			"se there is no open window.",
// [18]	24 point, Checked
		"24 point font is the current font size.", 
		
// [19]	Larger, Normal 
		"Increases font size by one point.",	
// [20]	Larger, Grayed
		"Increases font size by one point. Not available becau"
			"se there is no open window.",
			
// [21]	Smaller, Normal
		"Decreases font size by one point.", 
// [22]	Smaller, Normal
		"Decreases font size by one point. Not available becau"
			"se there is no open window.",

// [23]	Other, Normal
		"Allows font size to be directly set.", 
// [24]	Other, Normal
		"Allows font size to be directly set. Not available becau"
			"se there is no open window.",			
	}
};

resource 'hmnu' (mFormatMenu,
#if qNames
"Format Menu Help",
#endif
purgeable) {
	HelpMgrVersion,
	hmDefaultOptions,
	0,
	0,
	HMSkipItem { },
	{

		HMStringResItem {				// Format Menu
			kFormatMenuHelpStrings,1,
			kFormatMenuHelpStrings,2,
			-1,0,
			-1,0
		},
		
		HMStringResItem {				// Use System Direction menu item
			kWritingDirectionHelpStrings,1,
			kWritingDirectionHelpStrings,2,
			kWritingDirectionHelpStrings,3,
			-1,0
		},
		HMStringResItem {				// Left-to-Right & Right-to-Left toggled menu item
			kWritingDirectionHelpStrings,4,
			kWritingDirectionHelpStrings,5,
			-1,0,
			-1,0
		},
		HMSkipItem { },					// --------		
		HMStringResItem {				// 9 point menu item
			kSizeMenuHelpStrings,1,
			kSizeMenuHelpStrings,2,
			kSizeMenuHelpStrings,3,
			-1,0
		},
		HMStringResItem {				// 10 point menu item
			kSizeMenuHelpStrings,4,
			kSizeMenuHelpStrings,5,
			kSizeMenuHelpStrings,6,
			-1,0
		},
		HMStringResItem {				// 12 point menu item
			kSizeMenuHelpStrings,7,
			kSizeMenuHelpStrings,8,
			kSizeMenuHelpStrings,9,
			-1,0
		},
		HMStringResItem {				// 14 point menu item
			kSizeMenuHelpStrings,10,
			kSizeMenuHelpStrings,11,
			kSizeMenuHelpStrings,12,
			-1,0
		},
		HMStringResItem {				// 18 point menu item
			kSizeMenuHelpStrings,13,
			kSizeMenuHelpStrings,14,
			kSizeMenuHelpStrings,15,
			-1,0
		},
		HMStringResItem {				// 24 point menu item
			kSizeMenuHelpStrings,16,
			kSizeMenuHelpStrings,17,
			kSizeMenuHelpStrings,18,
			-1,0
		},
		HMSkipItem { },					// --------
		HMStringResItem {				// Larger menu item
			kSizeMenuHelpStrings,19,
			kSizeMenuHelpStrings,20,
			-1,0,
			-1,0
		},
		HMStringResItem {				// Smaller menu item
			kSizeMenuHelpStrings,21,
			kSizeMenuHelpStrings,22,
			-1,0,
			-1,0
		},
		HMSkipItem { },					// --------
		HMStringResItem {				// Other menu item
			kSizeMenuHelpStrings,23,
			kSizeMenuHelpStrings,24,
			-1,0,
			-1,0
		},
		HMSkipItem { },					// --------		
		HMStringResItem {				// Font menu item
			kFormatMenuHelpStrings,3,
			kFormatMenuHelpStrings,4,
			-1,0,
			-1,0
		},	
	}
};

resource 'STR#' (kFontMenuHelpStrings,
#if qNames
"FontMenuHelpStrings",
#endif
purgeable) {
	{
// [1]	Font Menu, Normal
		"Font menu\$0D\$0DUse this menu to change the font.",
// [2]	Font Menu, grayed
		"Font menu\$0D\$0DUse this menu to change the font.",
// [3]	Font Menu item, Normal 
		"A font. Click to change to this font.",	

// [4]	Font Menu item, Grayed
		"A font. It is not available because there is no open window.",
// [5]	Font Menu item, Normal 
		"This is the current font",	

	}
};

resource 'hmnu' (mFontMenu,
#if qNames
"Font Menu Help",
#endif
purgeable) {
	HelpMgrVersion,
	hmDefaultOptions,
	0,
	0,
		HMStringResItem {				// Missing menu item
			kFontMenuHelpStrings,3,
			kFontMenuHelpStrings,4,
			kFontMenuHelpStrings,5,
			-1,0
		},
	{

		HMStringResItem {				// Font menu
			kFontMenuHelpStrings,1,
			kFontMenuHelpStrings,2,
			-1,0,
			-1,0
		},

	}
};

resource 'STR#' (kControlMenuHelpStrings,
#if qNames
"ControlMenuHelpStrings",
#endif
purgeable) {
	{
// [1]	Control Menu, Normal
		"Control menu\$0D\$0DUse this menu to control various aspects of the application's operation.",
// [2]	Control Menu, grayed
		"Control menu\$0D\$0DUse this menu to control various aspects of the application's operation.",

// [3]	Fail Here, Normal 
		"Use this to cause a failure while Opening a volume if a file or folder has the name FailHere.",	
// [4]	Fail Here, Grayed
		"Use this to cause a failure while Opening a volume if a file or folder has the name FailHere.",
// [5]	Fail Here, Checked
		"The Open command will fail if a file or folder on the volume has the name FailHere.",
		
// [6]	Show Invisibles Menu, Normal 
		"Use this to cause the Open command to read in normally invisible files and folders.",	
// [7]	Show Invisibles Menu, Grayed
		"Use this to cause the Open command to read in normally invisible files and folders.",
// [8]	Show Invisibles Menu, Checked
		"Normally invisible files and folders will be displayed.",
		
// [9]	Expand All, Normal 
		"Use this to expand the whole list",	
// [10]	Expand All, Grayed
		"The Expand All command is not available because there is nothing to expand or there is not enough memory.",
		
// [11]	Collapse All, Normal 
		"Use this to collapse the whole list.",	
// [12]	Collapse All, Grayed
		"The Collapse All command is not available because there is nothing to collapse.",
		
// [13]	Allow Unlimited Docs, Normal 
		"Use this to allow the application to open the same disk many times",	
// [14]	Allow Unlimited Docs, Grayed
		"Not available????.",		
	}
};

resource 'STR#' (kAppleEventsHelpStrings,
#if qNames
"AppleEventsMenuHelpStrings",
#endif
purgeable) {
	{
// [1]	Send Apple Events, Normal 
		"The application will not send Apple Events.",	
// [2]	Send Apple Events, Grayed
		"The application will not send Apple Events. ",
// [3]	Send Apple Events, Checked
		"The application will send Apple Events",
		
// [4]	Route to doc or route to view, Normal 
		"Use this to cause Apple Events to be routed to the document or the view.",	
// [5]	Route to docu or route to view, Grayed
		"Use this to cause Apple Events to be routed to the document or the view. Not available because Apple Events are not being sent.",
	}
};

resource 'hmnu' (mControlMenu,
#if qNames
"Control Menu Help",
#endif
purgeable) {
	HelpMgrVersion,
	hmDefaultOptions,
	0,
	0,
	HMSkipItem { },
	{

		HMStringResItem {				// Control Menu
			kControlMenuHelpStrings,1,
			kControlMenuHelpStrings,2,
			-1,0,
			-1,0
		},
		HMStringResItem {				// Fail Here menu item
			kControlMenuHelpStrings,3,
			kControlMenuHelpStrings,4,
			kControlMenuHelpStrings,5,
			-1,0
		},
		HMStringResItem {				// Show invisibles menu item
			kControlMenuHelpStrings,6,
			kControlMenuHelpStrings,7,
			kControlMenuHelpStrings,8,
			-1,0
		},
		HMSkipItem { },					// --------				
		HMStringResItem {				// Expand All menu item
			kControlMenuHelpStrings,9,
			kControlMenuHelpStrings,10,
			-1,0,
			-1,0
		},
		HMStringResItem {				// Collapse All menu item
			kControlMenuHelpStrings,11,
			kControlMenuHelpStrings,12,
			-1,0,
			-1,0
		},
		HMSkipItem { },					// --------				
		HMStringResItem {				// Send Apple Events menu item
			kAppleEventsHelpStrings,1,
			kAppleEventsHelpStrings,2,
			kAppleEventsHelpStrings,3,
			-1,0
		},
		HMStringResItem {				// Route to Doc or route to view toggled menu item
			kAppleEventsHelpStrings,4,
			kAppleEventsHelpStrings,5,
			kAppleEventsHelpStrings,6,
			-1,0
		},
		HMSkipItem { },					// --------				
		HMStringResItem {				// Allow unlimited documents
			kControlMenuHelpStrings,13,
			kControlMenuHelpStrings,14,
			-1,0,
			-1,0
		},
	}
};


#if qDebug

resource 'STR#' (kTestMenuHelpStrings,
#if qNames
"TestMenuMenuHelpStrings",
#endif
purgeable) {
	{
// [1]	TestMenu, Normal 
		"Test menu\$0D\$0DUse this menu to set various application parameters.",	
// [2]	TestMenu, Grayed
		"Test menu\$0D\$0DUse this menu to set various application parameters-grayed. ",
		
// [3]	gAppUserFlag1, Normal 
		"Use this to set gAppUserFlag1.",	
// [4]	gAppUserFlag1, Grayed
		"Use this to set or clear gAppUserFlag1-grayed.",
// [5]	gAppUserFlag1, Checked
		"Use this to clear gAppUserFlag1.",

// [6]	gAppUserFlag2, Normal 
		"Use this to set gAppUserFlag2.",	
// [7]	gAppUserFlag2, Grayed
		"Use this to set or clear gAppUserFlag2-grayed.",
// [8]	gAppUserFlag2, Checked
		"Use this to clear gAppUserFlag2.",

// [9]	gAppUserFlag3, Normal 
		"Use this to set gAppUserFlag3.",	
// [10]	gAppUserFlag3, Grayed
		"Use this to set or clear gAppUserFlag3-grayed.",
// [11]	gAppUserFlag3, Checked
		"Use this to clear gAppUserFlag3.",
		
// [12]	Count Objects, Normal 
		"Use this to enable object counting.",	
// [13]	Count Objects, Grayed
		"Use this to enable object counting-grayed.",
// [14]	Count Objects, Checked
		"Object counting is enabled.",

// [15]	Reset Object Count, Normal 
		"Use this to reset the object count to zero.",	
// [16]	Reset Object Count, Grayed
		"Use this to reset the object count to zero-grayed.",
		
// [17]	Print base class info, Normal 
		"Use this to cause TObject class info to be printed.",	
// [18]	Print base class info, Grayed
		"Use this to cause TObject class info to be printed-grayed.",
// [19]	Print base class info, Checked
		"Use this to stop printing TObject class info.",		

// [20]	Print MacApp class info, Normal 
		"Use this to cause MacApp class info to be printed.",	
// [21]	Print MacApp class info, Grayed
		"Use this to cause MacApp class info to be printed-grayed.",
// [22]	Print MacApp class info, Checked
		"Use this to stop printing MacApp class info.",
		
// [23]	Print App class info, Normal 
		"Use this to cause your application class info to be printed.",	
// [24]	Print App class info, Grayed
		"Use this to cause your app class info to be printed-grayed.",
// [25]	Print App class info, Checked
		"Use this to stop printing your application class info.",		
	}
};

resource 'hmnu' (mTestMenu,
#if qNames
"Test Menu Help",
#endif
purgeable) {
	HelpMgrVersion,
	hmDefaultOptions,
	0,
	0,
	HMSkipItem { },
	{

		HMStringResItem {				// Test Menu
			kTestMenuHelpStrings,1,
			kTestMenuHelpStrings,2,
			-1,0,
			-1,0
		},
		HMStringResItem {				// AppUserFlag1
			kTestMenuHelpStrings,3,
			kTestMenuHelpStrings,4,
			kTestMenuHelpStrings,5,
			-1,0
		},
		HMStringResItem {				// AppUserFlag2
			kTestMenuHelpStrings,6,
			kTestMenuHelpStrings,7,
			kTestMenuHelpStrings,8,
			-1,0
		},
		
		HMStringResItem {				// AppUserFlag3
			kTestMenuHelpStrings,9,
			kTestMenuHelpStrings,10,
			kTestMenuHelpStrings,11,
			-1,0
		},
		HMSkipItem { },					// --------				
		
		HMStringResItem {				// CountObjects
			kTestMenuHelpStrings,12,
			kTestMenuHelpStrings,13,
			kTestMenuHelpStrings,14,
			-1,0
		},
		
		HMStringResItem {				// ResetObjectCount
			kTestMenuHelpStrings,15,
			kTestMenuHelpStrings,16,
			-1,0,
			-1,0
		},
		HMSkipItem { },					// --------				
		
		HMStringResItem {				// Print base class info
			kTestMenuHelpStrings,17,
			kTestMenuHelpStrings,18,
			kTestMenuHelpStrings,19,
			-1,0
		},
	
		HMStringResItem {				// Print MacApp class info
			kTestMenuHelpStrings,20,
			kTestMenuHelpStrings,21,
			kTestMenuHelpStrings,22,
			-1,0
		},
		HMStringResItem {				// Print app class info
			kTestMenuHelpStrings,23,
			kTestMenuHelpStrings,24,
			kTestMenuHelpStrings,25,
			-1,0
		},		
	}
};


#endif

resource 'STR#' (kTwistDownControlHelpStrings,
#if qNames
"TwistDownControlHelpStrings",
#endif
purgeable) {
	{
// [1]	Windows Menu, Normal
		"This is a twistDownControl. Click to expand or collapse the control",
	
	}
};

resource 'hdlg' (kTwistDowncontrolHelp, 
#if qNames
"TwistDownControlHelp", 
#endif
purgeable) 
{
	HelpMgrVersion,
	0,
	hmDefaultOptions,
	0, /* balloon definition function */
	5, /* variation code */
	HMSkipItem {}, /* No missing item help */
	{
		HMStringResItem 	//
		{
			{ -1,0 }, /* tip location */
			{ 0,0,0,0 }, /* hot rectangle */
			kTwistDownControlHelpStrings,1,
			kTwistDownControlHelpStrings,1,
			kTwistDownControlHelpStrings,1,
			kTwistDownControlHelpStrings,1,
		}
	}
};

resource 'STR#' (kWindowsMenuHelpStrings,
#if qNames
"WindowsMenuHelpStrings",
#endif
purgeable) {
	{
// [1]	Windows Menu, Normal
		"Windows menu\$0D\$0DUse this menu to select a window.",
// [2]	Windows Menu, grayed
		"Windows menu\$0D\$0DUse this menu to select a window.",
// [3]	Windows Menu item, Normal
		"This is a window. Click to bring it to the front.",		
// [4]	Windows Menu item, grayed
		"This is a window. Not available.",
// [5]	Windows Menu item, marked
		"This is the front window.",		
	}
};

resource 'hmnu' (mWindowsMenu,
#if qNames
"Windows Menu Help",
#endif
purgeable) {
	HelpMgrVersion,
	hmDefaultOptions,
	0,
	0,
		HMStringResItem {				// Missing item
			kWindowsMenuHelpStrings,3,
			kWindowsMenuHelpStrings,4,
			-1,0,
			kWindowsMenuHelpStrings,5
		},
	{

		HMStringResItem {				// Windows Menu
			kWindowsMenuHelpStrings,1,
			kWindowsMenuHelpStrings,2,
			-1,0,
			-1,0
		},
	}
};

resource 'STR#' (kChangeFontSizeDialogHelpStrings,
#if qNames
"ChangeFontSizeDialogHelpStrings",
#endif
purgeable) {
	{
// [1]	Font size value NumberText
		"Enter a new font size.",
// [2]	OK button
		"Click to change to the new font size.",
// [3]	Cancel button
		"Click to cancel.",	
	}
};

resource 'hdlg' (kChangeFontSizeDialogHelp, 
#if qNames
"ChangeFontSizeDialogHelp", 
#endif
purgeable) 
{
	HelpMgrVersion,
	0,
	hmDefaultOptions,
	0, /* balloon definition function */
	5, /* variation code */
	HMSkipItem {}, /* No missing item help */
	{
		HMStringResItem 	//Font size value NumberText
		{
			{ -1,0 }, /* tip location */
			{ 0,0,0,0 }, /* hot rectangle */
			kChangeFontSizeDialogHelpStrings,1,
			kChangeFontSizeDialogHelpStrings,1,
			kChangeFontSizeDialogHelpStrings,1,
			kChangeFontSizeDialogHelpStrings,1,
		},

		HMStringResItem 	//OK Button
		{
			{ -1,0 }, /* tip location */
			{ 0,0,0,0 }, /* hot rectangle */
			kChangeFontSizeDialogHelpStrings,2,
			kChangeFontSizeDialogHelpStrings,2,
			kChangeFontSizeDialogHelpStrings,2,
			kChangeFontSizeDialogHelpStrings,2,
		},
		
		HMStringResItem 		//Cancel button
		{
			{ -1,0 }, /* tip location */
			{ 0,0,0,0 }, /* hot rectangle */
			kChangeFontSizeDialogHelpStrings,3,
			kChangeFontSizeDialogHelpStrings,3,
			kChangeFontSizeDialogHelpStrings,3,
			kChangeFontSizeDialogHelpStrings,3,
		}
	}
};

resource 'STR#' (kAppIconHelpStrings,
#if qNames
"WindowsMenuHelpStrings",
#endif
purgeable) {
	{
// [1]	Application Icon help
		"This is the Twist Down Lists application. "
		"Use it to view the contents of a volume.",

	}
};

resource 'hfdr' (-5696,
#if qNames
"AppFinderHelp",
#endif
nonpurgeable) {
	HelpMgrVersion,
	hmDefaultOptions,
	0,
	0,
	{
		HMStringResItem{			//Application Icon help
			kAppIconHelpStrings,1,
		},
	}
};