/****************************************************************************
 * 
 * OSLClassWindow.h
 * 
 * OSL support for the cWindow Apple Event Registry object
 ****************************************************************************/

#include <AppleEvents.h>
#include <AEObjects.h>
#include <AEPackObject.h>

#ifndef	__OSLCLASSWINDOW__
#define	__OSLCLASSWINDOW__

// ----------------------------------------------------------------------------

OSErr InstallWindowAccessors	(void);

OSErr	WindowEventDispatcher	(AEDesc *token, const AppleEvent *message, AppleEvent *reply, long refcon);

// ----------------------------------------------------------------------------

pascal OSErr 
PropertyFromWindowAccessor(   DescType		desiredClass,
					 			const AEDesc*		containerToken,
					 					DescType		containerClass,
					 					DescType		keyForm,
				    			const AEDesc*		keyData,
					 					AEDesc*		resultToken,
					 					long 			refCon);

OSErr	GetDataFromWindow(AEDesc *tokenOrTokenList, AEDesc *desiredTypes, AEDesc *data);

// ----------------------------------------------------------------------------

#endif